/**
 * @fileOverview 本地调试服务器
 * @author langford@126.com
 */

const path = require("path")
const execa = require("execa")

const wpBinPath = path.resolve(
  __dirname,
  "..",
  "node_modules/.bin/webpack-dev-server"
)
const webpackConfigPath = path.resolve(
  __dirname,
  "..",
  "webpack/webpack.dev.config.js"
)

try {
  execa.shell(
    `${wpBinPath} --config=${webpackConfigPath}`,
    {
      stdio: "inherit"
    }
  )
} catch (ex) {
  console.log(`dev server error => ${ex}`)
}
